#ifdef JFB_ENABLE_SPLASH_SCREEN
#ifndef INCLUDE_SPLASH_H
#define INCLUDE_SPLASH_H
#define SPLASH_INRANGE(width, height, x, y) (((x) >= 0) && ((x) < width) && ((y) >= 0) && ((y) < height))

#define SPLASH_GETP(offset, width, x, y, count) (*((offset) + (width) * 3 * (y) + (x) * 3 + (count)))
#define SPLASH_GETP_FB15(offset, width, x, y) \
(((SPLASH_GETP(offset, width, x, y, 0) & 0xf8) << 7) | \
 ((SPLASH_GETP(offset, width, x, y, 1) & 0xf8) << 2) | \
 ((SPLASH_GETP(offset, width, x, y, 2) & 0xf8) >> 3))
#define SPLASH_GETP_FB16(offset, width, x, y) \
(((SPLASH_GETP(offset, width, x, y, 0) & 0xf8) << 8) | \
 ((SPLASH_GETP(offset, width, x, y, 1) & 0xfc) << 3) | \
 ((SPLASH_GETP(offset, width, x, y, 2) & 0xf8) >> 3))
#define SPLASH_GETP_FB24_PREFIX(offset, width, x, y) ((offset) + (width) * 3 * (y) + (x) * 3)
#define SPLASH_GETP_FB32(offset, width, x, y) \
((SPLASH_GETP(offset, width, x, y, 0) << 16) | \
 (SPLASH_GETP(offset, width, x, y, 1) << 8) | \
 (SPLASH_GETP(offset, width, x, y, 2)))

typedef struct TSplash_Raw {
	u_char *bitmap;
	int width;
	int height;
	int tint;
	int use_splash;
} TSplash;

extern TSplash gSplash;

void splash_exit(TSplash *s);
void splash_print_status(TSplash *s);

void splash_init(TSplash *s, char *filename);
void splash_bitmap_tint(TSplash *s, int tint);
void splash_bitmap_simple_resize(TSplash *s, int dw, int dh);
#endif /* INCLUDE_SPLASH_H */
#endif /* JFB_ENABLE_SPLASH_SCREEN */
